# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('l10n', '__first__'),
        ('organization', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bank',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('abi', models.CharField(max_length=5, verbose_name='abi', db_index=True)),
                ('cab', models.CharField(max_length=5, verbose_name='cab', db_index=True)),
                ('int_code', models.CharField(max_length=4, null=True, verbose_name='Int code', blank=True)),
                ('cin', models.CharField(max_length=1, null=True, verbose_name='CIN', blank=True)),
                ('cc', models.CharField(max_length=12, null=True, verbose_name='CC', blank=True)),
                ('note', models.TextField(max_length=255, null=True, verbose_name='Note', blank=True)),
                ('creator', models.ForeignKey(related_name='bank_bank_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='bank_bank_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('organization', models.ForeignKey(related_name='banks', verbose_name='organization', to='organization.Organization')),
            ],
            options={
                'verbose_name': 'bank',
                'verbose_name_plural': 'banks',
            },
        ),
        migrations.CreateModel(
            name='BankDetail',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('abi', models.CharField(max_length=5, verbose_name='abi', db_index=True)),
                ('cab', models.CharField(max_length=5, verbose_name='cab', db_index=True)),
                ('name', models.CharField(max_length=100, verbose_name='name', db_index=True)),
                ('agency', models.CharField(max_length=100, verbose_name='agency', db_index=True)),
                ('address', models.CharField(max_length=100, verbose_name='address', db_index=True)),
                ('zip_code', models.CharField(max_length=5, verbose_name='zip code', db_index=True)),
                ('locality', models.CharField(max_length=100, verbose_name='locality', db_index=True)),
                ('province', models.CharField(max_length=2, verbose_name='province', db_index=True)),
                ('country', models.ForeignKey(default=108, verbose_name='country', to='l10n.Country')),
                ('creator', models.ForeignKey(related_name='bank_bankdetail_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='bank_bankdetail_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'bank detail',
                'verbose_name_plural': 'bank details',
            },
        ),
        migrations.AlterUniqueTogether(
            name='bankdetail',
            unique_together=set([('abi', 'cab')]),
        ),
    ]
